/* General */

@font-face {
    font-family: 'MiFuenteSPD1';
    src: url('../fonts/LeagueSpartan-VariableFont_wght.ttf') format('truetype'); /* Ruta relativa */
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'MiFuenteSPD2';
    src: url('../fonts/rage.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
}


body {
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: column;
    min-height: 100vh; /* Asegura que el contenido ocupe al menos toda la pantalla */
    font-family: 'MiFuenteSPD1', sans-serif;
}

main {
    flex: 1; /* Empuja el footer hacia abajo */
    padding-bottom: 20px; /* Espacio entre contenido y footer */
}

a {
    text-decoration: none;
    color: inherit;
}


.company-name {
    color: white;
    font-size: 30px;
    font-weight: bold;
    white-space: nowrap;
}

/* 📌 Asegurar que la página no se expanda más del viewport */
html, body {
    max-width: 100vw; /* 🔹 Evita que el contenido se desborde */
    overflow-x: hidden !important; /* 🔹 Elimina el desplazamiento horizontal */
}

